com::lomiri::location::wgs84::CoordinateTraits< Latitude > Struct Reference

`#include <latitude.h>`

Collaboration diagram for com::lomiri::location::wgs84::CoordinateTraits< Latitude >:

## Static Public Member Functions

static double | min ()
static double | max ()
static void | check_and_throw_if_invalid (const typename Latitude::Quantity &coordinate)

## Detailed Description

Definition at line 41 of file latitude.h.

## Member Function Documentation

## check_and_throw_if_invalid()

void com::lomiri::location::wgs84::CoordinateTraits< Latitude >::check_and_throw_if_invalid | ( | const typename Latitude::Quantity & | coordinate | ) |

inline static

Definition at line 52 of file latitude.h.

References max(), and min().

Here is the call graph for this function:

## max()

double com::lomiri::location::wgs84::CoordinateTraits< Latitude >::max | ( |  | ) |

inline static

Definition at line 47 of file latitude.h.

Referenced by check_and_throw_if_invalid().

## min()

double com::lomiri::location::wgs84::CoordinateTraits< Latitude >::min | ( |  | ) |

inline static

Definition at line 43 of file latitude.h.

Referenced by check_and_throw_if_invalid().

The documentation for this struct was generated from the following file:

- latitude.h